# source http://simpleburn.tuxfamily.org/IMG/gz/simpleburn-1.8.3.1.tar.gz

Summary:	SimpleBurn is a basic burning tool for CDs and DVDs.
Summary(de):	SimpleBurn ist ein einfaches Werkzeug zum Brennen von CDs und DVDs.
Name:		simpleburn
Version:	1.8.3.1
Release:	%mkrel 2
Group:		Archiving/Cd burning
License:	CeCILL
URL:		http://simpleburn.tuxfamily.org/
Source:		%{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:  ImageMagick
BuildRequires:	%{_lib}cddb-devel
BuildRequires:	%{_lib}cdio-devel
BuildRequires:	%{_lib}dvdread-devel
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:	libpthread-stubs
BuildRequires:  wayland-protocols-devel
Requires:	cdrkit
Requires:	cdrkit-genisoimage
Requires:       cdrkit-icedax
Requires:	flac
Requires:	lame
Requires:	mencoder
Requires:       mpg123
Requires:	mplayer
Requires:       normalize
Requires:       udev
Requires:       vorbis-tools

%description
SimpleBurn is a basic burning application for CDs and DVDs.

%description -l de
SimpleBurn ist ein grundlegendes Werkzeug für das Brennen von CDs und DVDs.

%prep
%setup -q
%__mkdir build

%build
cd build
cmake .. \
  -DCMAKE_INSTALL_PREFIX=/usr \
  -DCMAKE_C_FLAGS="-std=c99"
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std -C build

# install icons
%__mkdir_p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
%__install -m 0644 src/*.png %{buildroot}%_miconsdir/%{name}.png
%__install -m 0644 src/*.png %{buildroot}%_iconsdir/%{name}.png
%__install -m 0644 src/*.png %{buildroot}%_liconsdir/%{name}.png

# resize icons
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png
convert %{buildroot}%_liconsdir/%{name}.png -resize 48x48 %{buildroot}%_liconsdir/%{name}.png

# menu
%__mkdir_p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=SimpleBurn
Comment=Burning tool for CDs and DVDs.
Comment[de]=Brennprogramm für CDs und DVDs.
Exec=%name
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;DiscBurning;X-MandrivaLinux-System-Archiving-CDBurning;
EOF

%__rm -rf %{buildroot}/usr/doc/

%find_lang %{name}

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/*
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Thu Dec 21 2017 bb2 <bb2> - 1.8.3.1-2pclos2017
- add BR wayland-protocols-devel

* Mon Dec 18 2017 Zen Subz <techars21 at gmail dot com> - 1.8.3.1-1pclos2017
- Update to latest release

* Fri Jul 15 2016 bb <bb> 1.8.1-1pclos2016
- update

* Tue Jul 05 2016 marcin82 <marcin82 at vp.pl> 1.8.0-1pclos2016
- update
- built with Gtk3
- added R: cdrkit-genisoimage, lame

* Sat Nov 01 2012 daniel <meisssw01 at gmail.com> 1.6.5-1leiche2012
- upstream tarball
